/*
  usleep  - command line usleep 
  usage: usleep [microseconds]      (1000000 = 1 second)
 
  Sleeps the specified number of microseconds.  Minimum actual time usually
  ranges at least 3000 - 11000 uS (3-11 thousands of a second) do to
  execution overhead.  Usually accurate with around 5000 - 10000 uS.
  microseconds is 0 if not specified, giving a default delay
  of .003 - .011 seconds depending on the machine.
  
  Copyright:   (C) 2002, 2003, 2004, 2005  Vincent Stemen
               All right reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. Neither the name of authors nor the names of the contributors may be
     used to endorse or promote products derived from this software without
     specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.
*/


#ifndef lint
char __RCSID[] = "$Id: usleep.c,v 1.4 2005/01/22 04:59:55 vstemen Exp $";
#endif /* not lint */


#include <unistd.h>
#include <stdlib.h>

int
main(int argc, char *argv[])
{
  int arg;
  unsigned int msecs;
  
  if (argc > 1)
      {
      arg = atol(argv[1]);
      if (arg < 1)
        msecs = 0;
      else
        msecs = arg;
      }
  else
      msecs = 0;              // default to minimum time if not specified
  
  usleep(msecs);
  exit(0);
}

